GET /tasks/{id}/brief
1 min
GET
https://api.cmp.optimizely.com/v3/tasks/{id}/brief
Path Parameters
- idstringrequiredExampleDescription
Responses
200
- TaskBriefResponse
- typestring<template | attachment | text>requiredExampleDescriptionAllowedtemplateattachmenttext
- titlestringrequiredExampleDescription
- templateobject
- TaskBriefTemplateValue
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- fieldsobject[]requiredDescription
- namestringrequiredExampleDescription
- settings_field_idstringExampleDescription
- valuestring[]requiredExample
[ "option 1" ]
Description
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- taskstringrequiredExampleDescription
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url https://api.cmp.optimizely.com/v3/tasks/{id}/brief \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/tasks/{id}/brief", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/tasks/{id}/brief")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/tasks/{id}/brief"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Fetched brief of the task
{
"type": "template",
"title": "Awesome Task Brief",
"template": {},
"fields": [
{
"name": "My Dropdown",
"settings_field_id": "67c5684de8b943290648a693",
"value": [
"option 1"
]
}
],
"links": {
"self": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9/brief",
"task": "https://api.cmp.optimizely.com/v3/tasks/5f857f30e1c4a2038d6179e9"
}
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}